org.apache.fop.pdf

## Class PDFCIDSystemInfo

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFCIDSystemInfo

All Implemented Interfaces:
  PDFWritable

    public class PDFCIDSystemInfo
    extends PDFObject

class representing system information for "character identifier" fonts. this small object is used in the CID fonts and in the CMaps.

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFCIDSystemInfo(String registry, String ordering, int supplement)` Create a CID system info.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `toPDF()` Encodes the object as a byte array for output to a PDF file.
`String` `toPDFString()` Create a string for the CIDSystemInfo dictionary.

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFCIDSystemInfo

    public PDFCIDSystemInfo(String registry,
                            String ordering,
                            int supplement)

Create a CID system info.

Parameters:
  `registry` - the registry value
  `ordering` - the ordering value
  `supplement` - the supplement value

### Method Detail

#### toPDFString

    public String toPDFString()

Create a string for the CIDSystemInfo dictionary. The entries are placed as an inline dictionary.

Overrides:
  `toPDFString` in class `PDFObject`
Returns:
  the string for the CIDSystemInfo entry with the inline dictionary

#### toPDF

    public byte[] toPDF()

Encodes the object as a byte array for output to a PDF file.

Overrides:
  `toPDF` in class `PDFObject`
Returns:
  PDF string